#
# Conditional build:
%bcond_without	python2	# CPython 2.x module
%bcond_without	python3	# CPython 3.x module
%bcond_without	tests	# py.test tests
#
%define		module	html5lib
Summary:	HTML parser/tokenizer based on the WHATWG HTML5 specification
Summary(pl.UTF-8):	Analizator i tokenizer HTML-a oparty na specyfikacji WHATWG HTML5
Name:		python-%{module}
Version:	1.1
Release:	4
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/html5lib/
Source0:	https://files.pythonhosted.org/packages/source/h/html5lib/%{module}-%{version}.tar.gz
# Source0-md5:	6748742e2ec4cb99287a6bc82bcfe2b0
Patch0:		%{name}-pytest6.patch
Patch1:		%{name}-mock.patch
URL:		https://github.com/html5lib/
%if %{with python2}
BuildRequires:	python-devel >= 1:2.7
BuildRequires:	python-setuptools >= 1:18.5
%if %{with tests}
BuildRequires:	python-flake8
BuildRequires:	python-mock >= 3.0.5
%if "%{py_ver}" < "2.7"
BuildRequires:	python-ordereddict
%endif
BuildRequires:	python-pytest >= 4.6.10
BuildRequires:	python-pytest-expect >= 1.1
BuildRequires:	python-pytest-expect < 2.0
BuildRequires:	python-six >= 1.9
BuildRequires:	python-webencodings
%endif
%endif
%if %{with python3}
BuildRequires:	python3-devel >= 1:3.3
BuildRequires:	python3-setuptools >= 1:18.5
%if %{with tests}
BuildRequires:	python3-flake8
BuildRequires:	python3-pytest >= 5.4.2
BuildRequires:	python3-pytest-expect >= 1.1
BuildRequires:	python3-pytest-expect < 2.0
BuildRequires:	python3-six >= 1.9
BuildRequires:	python3-webencodings
%endif
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python-modules >= 1:2.7
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
HTML parser/tokenizer based on the WHATWG HTML5 specification.

%description -l pl.UTF-8
Analizator i tokenizer HTML-a oparty na specyfikacji WHATWG HTML5.

%package -n python3-%{module}
Summary:	HTML parser/tokenizer based on the WHATWG HTML5 specification
Summary(pl.UTF-8):	Analizator i tokenizer HTML-a oparty na specyfikacji WHATWG HTML5
Group:		Libraries/Python
Requires:	python3-modules >= 1:3.3

%description -n python3-%{module}
HTML parser/tokenizer based on the WHATWG HTML5 specification.

%description -n python3-%{module} -l pl.UTF-8
Analizator i tokenizer HTML-a oparty na specyfikacji WHATWG HTML5.

%prep
%setup -q -n %{module}-%{version}
%patch0 -p1
%patch1 -p1

%build
%if %{with python2}
%py_build

%if %{with tests}
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
PYTEST_PLUGINS=pytest_expect.expect \
%{__python} -m pytest html5lib/tests
%endif
%endif

%if %{with python3}
%py3_build

%if %{with tests}
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
PYTEST_PLUGINS=pytest_expect.expect \
%{__python3} -m pytest html5lib/tests
%endif
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc AUTHORS.rst CHANGES.rst LICENSE README.rst
%{py_sitescriptdir}/html5lib-%{version}-py*.egg-info
%{py_sitescriptdir}/html5lib
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc AUTHORS.rst CHANGES.rst LICENSE README.rst
%{py3_sitescriptdir}/html5lib-%{version}-py*.egg-info
%{py3_sitescriptdir}/html5lib
%endif
%changelog
* Thu Mar 31 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-html5lib.git;a=log;h=auto/th/python-html5lib-1.1-4

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 47dfd3c
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> dd38ccd
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 0b4b883
- rebuild with python 3.10

* Thu Mar 17 2022 Jakub Bogusz <qboosh@pld-linux.org> 61433e9
- updated to 1.1
- added pytest6 patch (pytest 6 compatibility from git)
- added mock patch (allow using unittest.mock under python3 instead of separate mock)

* Thu Dec 16 2021 Jakub Bogusz <qboosh@pld-linux.org> 0d7d345
- setuptools epoch

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> e4646ec
- release 4 (by relup.sh)

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 4407237
- rebuild with python 3.8
- release 3 (by relup.sh)

* Thu Jul 19 2018 Jakub Bogusz <qboosh@pld-linux.org> 8d0bfa6
- switch to pypi tarball, which includes testdata submodule used by optional chardet tests; release 2

* Wed Jul 18 2018 Jakub Bogusz <qboosh@pld-linux.org> 12a2bd8
- back to sanity, updated to 1.0.1
- actually run tests

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> f203aae
- release 3 (by relup.sh)

* Tue Feb 13 2018 Jan Rękorajski <baggins@pld-linux.org> 26ebd48
- rel 2
- assume TODO is obsolete after almost a year

* Thu Apr 27 2017 Jan Rękorajski <baggins@pld-linux.org> 6b634dd
- rel 0.1, this version breaks chrome and dependant packages

* Sun Apr 09 2017 Jakub Bogusz <qboosh@pld-linux.org> 9ef7658
- updated to 0.999999999; added python3- package

* Sun Dec 04 2016 Jakub Bogusz <qboosh@pld-linux.org> 4b8ba43
- new URLs, updated to 0.95

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 05b0d52
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 52ff1b3
- release 3 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 90ae2c8
- automatic change: use py_build/py_install macros

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> ab3af80
- release 2

* Thu Jun 17 2010 Patryk Zawadzki <patrys@room-303.com> d310f2e
- 0.90

* Sun May 16 2010 sparky <sparky@pld-linux.org> 3445fb6
- BR: unzip

